Package org.flowable.engine.delegate.event.impl

# Class FlowableConditionalEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl
org.flowable.engine.delegate.event.impl.FlowableConditionalEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableActivityEvent`, `FlowableConditionalEvent`, `FlowableProcessEngineEvent`

public class FlowableConditionalEventImpl extends FlowableActivityEventImpl implements FlowableConditionalEvent
An `FlowableConditionalEvent` implementation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `conditionExpression`
  `protected String`
  `conditionLanguage`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `activityId, activityName, activityType, behaviorClass`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableConditionalEventImpl(FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConditionExpression()`
  `String`
  `getConditionLanguage()`
  `void`
  `setConditionExpression(String conditionExpression)`
  `void`
  `setConditionLanguage(String conditionLanguage)`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `getActivityId, getActivityName, getActivityType, getBehaviorClass, setActivityId, setActivityName, setActivityType, setBehaviorClass`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.engine.delegate.event.FlowableActivityEvent

  `getActivityId, getActivityName, getActivityType, getBehaviorClass`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### conditionExpression

    protected String conditionExpression

  - ### conditionLanguage

    protected String conditionLanguage

- ## Constructor Details

  - ### FlowableConditionalEventImpl

    public FlowableConditionalEventImpl(FlowableEngineEventType type)

- ## Method Details

  - ### getConditionExpression

    public String getConditionExpression()
    Specified by:
      `getConditionExpression` in interface `FlowableConditionalEvent`
    Returns:
      the condition expression of the conditional event.

  - ### setConditionExpression

    public void setConditionExpression(String conditionExpression)

  - ### getConditionLanguage

    public String getConditionLanguage()
    Specified by:
      `getConditionLanguage` in interface `FlowableConditionalEvent`
    Returns:
      the scripting language of the condition expression.

  - ### setConditionLanguage

    public void setConditionLanguage(String conditionLanguage)